Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TopChatCategory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TopChatCategory

Direct Known Subclasses:
  `TdApi.TopChatCategoryBots`, `TdApi.TopChatCategoryCalls`, `TdApi.TopChatCategoryChannels`, `TdApi.TopChatCategoryForwardChats`, `TdApi.TopChatCategoryGroups`, `TdApi.TopChatCategoryInlineBots`, `TdApi.TopChatCategoryUsers`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.TopChatCategory extends TdApi.Object permits TdApi.TopChatCategoryUsers, TdApi.TopChatCategoryBots, TdApi.TopChatCategoryGroups, TdApi.TopChatCategoryChannels, TdApi.TopChatCategoryInlineBots, TdApi.TopChatCategoryCalls, TdApi.TopChatCategoryForwardChats
This class is an abstract base class. Represents the categories of chats for which a list of frequently used chats can be retrieved.

## Constructor Summary

Constructors
Constructor
Description
`TopChatCategory()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TopChatCategory

public TopChatCategory()
Default class constructor.